#include <bits/stdc++.h>
using namespace std;
char a[18],b[18],c[18];
int ab,bc,ca;
void input()
{
    scanf("%s",&a);
    scanf("%s",&b);
    scanf("%s",&c);
}
void run()
{
    ab=strcmp(a,b);
    bc=strcmp(b,c);
    ca=strcmp(c,a);
    if(ab>=0 && ca==-1 && bc==1)printf("%s%s%s",a,b,c);
    else if(ab==1 && ca<=0 && bc==-1)printf("%s%s%s",a,c,b);
    else if(ab==-1 && ca==1 && bc>=0)printf("%s%s%s",b,c,a);
    else if(ab<=0 && ca==-1 && bc==1)printf("%s%s%s",b,a,c);
    else if(ab==1 && ca>=0 && bc==-1)printf("%s%s%s",c,a,b);
    else if(ab==-1 && ca==1 && bc<=0)printf("%s%s%s",c,b,a);
    else if(ab==0 && ca==0 && bc==0)printf("%s%s%s",a,b,c);
}
int main()
{
    input();
    run();
}